/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.WcOfertasFlotantes;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface WcOfertasFlotantesFacadeLocal {

    void create(WcOfertasFlotantes wcOfertasFlotantes);

    void edit(WcOfertasFlotantes wcOfertasFlotantes);

    void remove(WcOfertasFlotantes wcOfertasFlotantes);

    WcOfertasFlotantes find(Object id);

    List<WcOfertasFlotantes> findAll();

    List<WcOfertasFlotantes> findRange(int[] range);

    int count();

    List<WcOfertasFlotantes> busquedaListadoOfertaProg(String programaCodigo);

    List<WcOfertasFlotantes>  busquedaListadoOfertaProgMultiple(String programaCodigo);

    List<WcOfertasFlotantes> busquedaListadoOfertaCodO(String ofertaCodigo);

}
